%% 4th-Order Runge Kutta integrator
function xnext = myRK4(t, x, ss_mat, alpha, beta, process_noise)

    % Slopes
    K1 = CT_ODEs(t, x, ss_mat, alpha, beta);
    K2 = CT_ODEs(t + (ss_mat.h / 2), x + (ss_mat.h / 2)*K1, ss_mat, alpha, beta);
    K3 = CT_ODEs(t + (ss_mat.h / 2), x + (ss_mat.h / 2)*K2, ss_mat, alpha, beta);
    K4 = CT_ODEs(t + ss_mat.h, x + ss_mat.h*K3, ss_mat, alpha, beta);
    
    % Estimate the next state (including process noise from turbulence)
    xnext = x + (ss_mat.h / 6)*(K1 + 2*K2 + 2*K3 + K4) + process_noise;

end